import request from '@/utils/request'

// 查询简易注销异议信息列表
export function listObjection(query) {
  return request({
    url: '/basicData/xcrIndividualCancellationObjection/findByPage',
    method: 'get',
    params: query
  })
}

// 查询简易注销异议信息详细
export function getObjection(xhCodeId) {
  return request({
    url: '/basicData/xcrIndividualCancellationObjection/' + xhCodeId,
    method: 'get'
  })
}

// 新增简易注销异议信息
export function addObjection(data) {
  return request({
    url: '/basicData/xcrIndividualCancellationObjection',
    method: 'post',
    data: data
  })
}

// 修改简易注销异议信息
export function updateObjection(data) {
  return request({
    url: '/basicData/xcrIndividualCancellationObjection',
    method: 'put',
    data: data
  })
}

// 删除简易注销异议信息
export function delObjection(xhCodeId) {
  return request({
    url: '/basicData/xcrIndividualCancellationObjection/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delObjectionBatch(ids) {
  return request.post('/basicData/xcrIndividualCancellationObjection/delete',ids)
}
